<template>
  <!--
    since active class is set by path alone
    set no-active (from style.scss) to hide the active class for all links
    except the selected one
  -->
  <v-list-item
    dense
    link :to="{ query: { analysis } }"
    :class="{ 'no-active': analysis !== $route.query.analysis}"
  >
    <v-list-item-content>
      <v-list-item-title v-text="trim(analysis)" />
    </v-list-item-content>
  </v-list-item>
</template>
<script lang="ts">
import { Vue, Component, Prop } from 'vue-property-decorator';
import { trimAnalysisName } from '@/vuejs/components/utils/nav-tools';

@Component({})
export default class AnalysisNavButton extends Vue {
  @Prop({ required: true })
  analysis!: string;

  trim = trimAnalysisName;
}
</script>
